Bug 216785 - www/lynx: add LIB_DEPENDS= libidn.so:dns/libidn, fix build with libressl-devel
Summary: www/lynx: add LIB_DEPENDS= libidn.so:dns/libidn, fix build with libressl-devel
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Matthew Rezny
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-04 15:47 UTC by Piotr Kubaj
Modified: 2017-02-23 00:33 UTC (History)
1 user (show)

See Also:
jharris: maintainer-feedback+


Attachments
patch (4.30 KB, patch)
2017-02-04 15:47 UTC, Piotr Kubaj
no flags Details | Diff
patch (11.61 KB, patch)
2017-02-06 11:49 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (jharris)
Details | Diff
fix build with libressl/devel (1.73 KB, patch)
2017-02-09 21:43 UTC, Matthew Rezny
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2017-02-04 15:47:50 UTC
Created attachment 179602 [details]
patch

Building the port fails with:
(00:01:08) cc -DHAVE_CONFIG_H   -I../../..  -I../../../src  -I../../..  -I../../../src   -I../../../WWW/Library/Implementation  -DLIBICONV_PLUG -I/usr/local/include  -D_BSD_TYPES -D__BSD_VISIBLE -D_POSIX_C_SOURCE=200112L -D_XOPEN_SOURCE=600 -I/usr/local/include/openssl -O2 -pipe -DHARDENEDBSD -DLIBICONV_PLUG -fPIE -fPIC -fstack-protector -fno-strict-aliasing   -I../../../WWW/Library/Implementation/ -DACCESS_AUTH -c ../../../WWW/Library/Implementation/HTTP.c
(00:01:08) ../../../WWW/Library/Implementation/HTTP.c:725:14: error: no member named 'options' in 'struct ssl_st'
(00:01:08)             handle->options |= SSL_OP_NO_TLSv1;
(00:01:08)             ~~~~~~  ^
(00:01:08) 1 error generated.
(00:01:08) *** Error code 1

This patch fixes this error. Additionally it adds LIB_DEPENDS (suggested by portlint).

Tested to build on Poudriere on 10.3-RELEASE with and without LibreSSL 2.5.1.
Comment 1 Piotr Kubaj freebsd_committer 2017-02-06 11:49:50 UTC
Created attachment 179673 [details]
patch

Corrected patch to add the new files and remove patch-CVE-* (split into individual files, because my patch affects HTTP.c file which is already patched in patch-CVE-*, which creates a mess).
Comment 2 Matthew Rezny freebsd_committer 2017-02-09 21:43:26 UTC
Created attachment 179809 [details]
fix build with libressl/devel

I have attached an alternate, shorter patch which contains the same fixes but does not disturb existing patches.
Comment 3 jharris 2017-02-19 04:53:31 UTC
Piotr's patch (179673) doesn't apply (or no longer applies) to a clean ports tree, not approved.  Please resubmit w/ports tree fully updated and patch 179809 already applied, Piotr.  Thanks!

Matthew's patch (179809) is tested and approved, thanks Matthew!
Comment 4 Piotr Kubaj freebsd_committer 2017-02-21 15:16:08 UTC
(In reply to jharris from comment #3)
What do you mean? I've removed my ports tree and downloaded a clean copy. That's what I get when applying the patch I've submitted:
root@FreeBSD10:/usr/local/poudriere/ports/default/www/lynx # fetch -o /root/patch "https://bz-attachments.freebsd.org/attachment.cgi?id=179673"
fetch: https://bz-attachments.freebsd.org/attachment.cgi?id=179673: size of remote file is not known
/root/patch                                             11 kB   30 kBps 00m01s
root@FreeBSD10:/usr/local/poudriere/ports/default/www/lynx # svnlite patch /root/patch
U         Makefile
U         distinfo
D         files/patch-CVE-2014-3566
D         files/patch-CVE-2016-9179
A         files/patch-WWW_Library_Implementation_HTTCP.c
A         files/patch-WWW_Library_Implementation_HTTP.c
A         files/patch-WWW_Library_Implementation_HTUtils.h
U         files/patch-makefile.in
A         files/patch-src_LYCharSets.c
A         files/patch-src_LYUtils.c
root@FreeBSD10:/usr/local/poudriere/ports/default/www/lynx #
Comment 5 commit-hook freebsd_committer 2017-02-22 19:03:42 UTC
A commit references this bug:

Author: rezny
Date: Wed Feb 22 19:02:51 UTC 2017
New revision: 434630
URL: https://svnweb.freebsd.org/changeset/ports/434630

Log:
  Fix building with libressl-devel and add missing dependency on libidn.

  PR:		216785
  Approved by:	jharris@widomaker.com (maintainer), swills (mentor)
  Differential Revision:	https://reviews.freebsd.org/D9672

Changes:
  head/www/lynx/Makefile
  head/www/lynx/files/patch-WWW_Library_Implementation_HTTP.c